Retrieve all records from primary zones
Returns the list of all records for all customer DNS zones with the possibility to filter them.
Supports offset/limit pagination and forward-only cursor pagination via the pagination.token parameter. offset and pagination.token are mutually exclusive (passing both is a 400). limit controls the page size for either. When there are more results to return, the token is returned in the pagination.token field of the response body (and in the _links.next URL) and is absent on the last page. When a token is used, _links.prev is not provided.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Filter used to fetch only the records that contain specified zoneId.
1d6ca576-7162-4700-8df7-208bbe28fc44Filter used to fetch only the records that contain specified record name.
appThe list of possible provisioning states in which DNS resource could be at the specific time.
- AVAILABLE - resource exists and is healthy.
- PROVISIONING - resource is being created or updated.
- DESTROYING - delete command was issued, the resource is being deleted.
- FAILED - creation of the resource failed.
Holds supported DNS resource record types. In the DNS context a record is a DNS resource record.
The first element (of the total list of elements) to include in the response. Use together with limit for pagination.
0The maximum number of elements to return. Use together with offset for pagination.
100Opaque cursor token identifying a page of results. Returned in the
pagination.token field (and the _links.next URL) of a response
when more results remain, and accepted back via the
pagination.token query parameter to fetch that page. The token uses
a URL-safe encoding limited to the characters A-Z, a-z, 0-9,
- and _, so it can be round-tripped in a query string without
escaping.
Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHjPattern: ^[A-Za-z0-9_-]+$Successful operation.
The resource's unique identifier.
42b21ce3-6fc7-44af-b0c9-2aaadbf2b333<RESOURCE-URI>Pagination offset.
0Pagination limit.
1000Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
GET /records HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "42b21ce3-6fc7-44af-b0c9-2aaadbf2b333",
"type": "collection",
"href": "<RESOURCE-URI>",
"items": [
{
"id": "90d81ac0-3a30-44d4-95a5-12959effa6ee",
"type": "record",
"href": "<RESOURCE-URI>",
"metadata": {
"createdDate": "2022-08-21T15:52:53Z",
"createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2022-08-21T15:52:53Z",
"lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "PROVISIONING",
"fqdn": "app.example.com",
"zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf"
},
"properties": {
"name": "app",
"type": "A",
"content": "1.2.3.4",
"ttl": 3600,
"priority": 3600,
"enabled": true
}
}
],
"offset": 0,
"limit": 1000,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
},
"pagination": {
"token": "Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHj"
}
}Last updated
Was this helpful?